# Generated by go2rpm
%bcond_without check

# https://github.com/pelletier/go-toml
%global goipath         github.com/pelletier/go-toml
Version:                1.6.0

%gometa

# Remove in F33:
%global godevelheader %{expand:
Obsoletes:      golang-github-pelletier-go-toml-devel < 1.3.0-2
}

%global common_description %{expand:
Go-toml provides the following features for using data parsed from TOML
documents:

 - Load TOML documents from files and string data
 - Easily navigate TOML structure using Tree
 - Mashaling and unmarshaling to and from data structures
 - Line & column position data for all parsed elements
 - Query support similar to JSON-Path
 - Syntax errors contain line and column numbers}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:        1%{?dist}
Summary:        Go library for the toml language

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock

# Remove in F33:
Obsoletes:      golang-github-pelletier-go-toml < 1.3.0-2

%if %{with check}
# Tests
BuildRequires:  golang(github.com/BurntSushi/toml)
BuildRequires:  golang(github.com/davecgh/go-spew/spew)
BuildRequires:  golang(gopkg.in/yaml.v2)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

# Remove in F33
# Remove erroneous glide.lock folder
%pretrans devel -p <lua>
path = "%{gopath}/src/%{goipath}/glide.lock"
st = posix.stat(path)
if st and st.type == "directory" then
  os.remove(path)
end

%if %{with check}
%check
%gocheck
%endif

%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Feb 17 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.6.0-1
- Update to latest version

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 05 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.0-2
- Add Obsoletes for old name

* Fri Apr 26 12:23:07 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.0-1
- Release 1.4.0

* Sat Apr 06 14:00:36 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.0-1
- Release 1.3.0 (#1695289)

* Tue Feb 05 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.2.0-1
- Update to latest version

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - Forge-specific packaging variables
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org>
- 1.0.0-0.8
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - Forge-specific packaging variables
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jun 20 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.0.0-0.6.gitb8b5e76
- Upload glide files

* Sun Mar 18 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.0.0-0.5.gitb8b5e76
- Bump to b8b5e7696574464b2f9bf303a7b37781bb52889f
  related: #1464882

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-0.4.git5ccdfb1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-0.3.git5ccdfb1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-0.2.git5ccdfb1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 26 2017 Jan Chaloupka <jchaloup@redhat.com> - 1.0.0-0.1.git5ccdfb1
- Update to v1.0.0
  resolves: #1464882

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-0.2.git31055c2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Oct 20 2016 jchaloup <jchaloup@redhat.com> - 0-0.1.git31055c2
- First package for Fedora
  resolves: #1387203
